ValueChecker
Product Search

Search Offers

Server URLloading...
POST
/search/offers

Authorization

apiKey
Authorization<token>

Note! Prefix your API key with apiKey and a space, for example apiKey YOUR_API_KEY.

In: header

Query Parameters

client_id?integer

The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.

session-id?string

Optional session identifier of the user.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/search/offers" \  -H "Content-Type: application/json" \  -d '{}'
{  "claimed_product": {    "pid": 0,    "product_name": "string",    "brand": "string",    "pic_url": "string",    "specs": [      {        "spec_id": 0,        "spec_name": "string",        "spec_value_display": "string",        "spec_value_numeric": 0      }    ],    "client_category_id": 0,    "client_category": "string",    "in_stock": true  },  "recommended_offer": {    "offer_type": "indexed_product",    "pid": 0,    "product_name": "string",    "brand": "string",    "pic_url": "string",    "specs": [      {        "spec_id": 0,        "spec_name": "string",        "spec_value_display": "string",        "spec_value_numeric": 0      }    ],    "client_category_id": 0,    "client_category": "string",    "offer_id": 0,    "offer_url": "string",    "master_name": "string",    "unmatched_specs": [      {        "spec_id": 0,        "spec_name": "string",        "spec_value_display": "string",        "spec_value_numeric": 0      }    ],    "price": {      "currency": "string",      "price": 0,      "price_date": "string",      "is_refurbished": true,      "in_stock": true,      "blocked": true,      "shop": {        "shop_name": "string",        "shop_status": 0,        "shop_score": 0      },      "item_quantity": 0,      "country_code": "string",      "filtered_price": true    }  },  "indexed_products": {    "products": [      {        "product_name": "string",        "pid": 0,        "pic_url": "string",        "price_clusters": {          "low": {            "group": "low",            "price": 0          },          "medium": {            "group": "low",            "price": 0          },          "high": {            "group": "low",            "price": 0          }        }      }    ]  },  "clustered_products": {    "products": [      {        "pid": 0,        "product_name": "string",        "brand": "string",        "pic_url": "string",        "specs": [          {            "spec_id": 0,            "spec_name": "string",            "spec_value_display": "string",            "spec_value_numeric": 0          }        ],        "client_category_id": 0,        "client_category": "string",        "price_clusters": {          "low": {            "group": "low",            "price": 0,            "count": 0,            "percentage": 0,            "price_min": 0,            "price_max": 0          },          "medium": {            "group": "low",            "price": 0,            "count": 0,            "percentage": 0,            "price_min": 0,            "price_max": 0          },          "high": {            "group": "low",            "price": 0,            "count": 0,            "percentage": 0,            "price_min": 0,            "price_max": 0          }        }      }    ]  },  "replacement_offers": {    "offer_groups": [      {        "metadata": {          "offer_count": 0        },        "offers": [          {            "pid": 0,            "product_name": "string",            "brand": "string",            "pic_url": "string",            "specs": [              {                "spec_id": 0,                "spec_name": "string",                "spec_value_display": "string",                "spec_value_numeric": 0              }            ],            "client_category_id": 0,            "client_category": "string",            "offer_id": 0,            "offer_url": "string",            "master_name": "string",            "unmatched_specs": [              {                "spec_id": 0,                "spec_name": "string",                "spec_value_display": "string",                "spec_value_numeric": 0              }            ],            "price": {              "currency": "string",              "price": 0,              "price_date": "string",              "is_refurbished": true,              "in_stock": true,              "blocked": true,              "shop": {                "shop_name": "string",                "shop_status": 0,                "shop_score": 0              },              "item_quantity": 0,              "country_code": "string",              "filtered_price": true            }          }        ]      }    ]  },  "metadata": {    "category": {      "predicted_client_category_id": 0,      "predicted_client_category": "string",      "prediction_certainty": 0    },    "query": {      "used_query": "string",      "original_query": "string",      "predicted_query": "string"    },    "price_filters": {      "price_min": 0,      "price_max": 0    }  }}